--
-- claasLexion480
-- Specialization for claasLexion480
--
-- @author:		RivalBomb
-- @date:		20/12/15
-- @version:	v1.0
-- @history:	v1.0 - initial version
--
-- free for non-commercial usage

claasLexion480 = {};

function claasLexion480.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Combine, specializations);
end;

function claasLexion480:load(xmlFile)
	self.clmirrors = {};
	local i = 0;
    while true do
        local key = string.format("vehicle.mirrors.mirror(%d)", i);
        if not hasXMLProperty(xmlFile, key) then
            break;
        end;
		self.clmirrors[i] = {};
        self.clmirrors[i].baseIndex = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#baseIndex"));
		self.clmirrors[i].maxLeft = getXMLFloat(xmlFile, key.."#maxLeft");
		self.clmirrors[i].maxRight = getXMLFloat(xmlFile, key.."#maxRight");
        i = i + 1;
	end;
end;

function claasLexion480:mouseEvent(posX, posY, isDown, isUp, button)
end;

function claasLexion480:keyEvent(unicode, sym, modifier, isDown)
end;

function claasLexion480:update(dt)
	if self.didAnimation ~= self.isStrawEnabled then
		self.didAnimation = self.isStrawEnabled;
		self:playAddAnimation(self.isStrawEnabled, false, false);
	end;
end;

function claasLexion480:updateTick(dt)
end;

function claasLexion480:draw()
end;

function claasLexion480:delete()
end;

function claasLexion480:playAddAnimation(isStrawEnabled, noEventSend, force) 
    if self.playAnimation ~= nil and self.toggleChopperAdditional ~= nil then 
        local dir = 1; 
        if isStrawEnabled then 
            dir = -1; 
        end; 
		--print(self.toggleChopperAdditional);
        self:playAnimation(self.toggleChopperAdditional, dir, nil, true); 
    end; 
end;